CodeQualityExtension (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.plugins.quality

## [Java] Class CodeQualityExtension

- org.gradle.api.plugins.quality.CodeQualityExtension

- Base Code Quality Extension.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `getIgnoreFailures()` Whether or not to allow the build to continue if there are warnings.
    `File` | `getReportsDir()` The directory where reports will be generated.
    `Collection<SourceSet>` | `getSourceSets()` The source sets to be analyzed as part of the `check` and `build` tasks.
    `String` | `getToolVersion()` The version of the code quality tool to be used.
    `boolean` | `isIgnoreFailures()`
    `void` | `setIgnoreFailures(boolean ignoreFailures)`
    `void` | `setReportsDir(File reportsDir)`
    `void` | `setSourceSets(Collection<SourceSet> sourceSets)`
    `void` | `setToolVersion(String toolVersion)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public boolean getIgnoreFailures()

      Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

    - #### public File getReportsDir()

      The directory where reports will be generated.

    - #### public Collection<SourceSet> getSourceSets()

      The source sets to be analyzed as part of the `check` and `build` tasks.

    - #### public String getToolVersion()

      The version of the code quality tool to be used.

    - #### public boolean isIgnoreFailures()

    - #### public void setIgnoreFailures(boolean ignoreFailures)

    - #### public void setReportsDir(File reportsDir)

    - #### public void setSourceSets(Collection<SourceSet> sourceSets)

    - #### public void setToolVersion(String toolVersion)